/**
 * MPA通用模块
 * 
 * @author turbo
 * @date 2022-09-21
 */
let mpaItemFactory = item => {
    let { name, title } = item
    return {
        // index页面的入口
        entry: `src/pages/${name}/main.js`,
        // index页面模板来源
        template: `public/${name}.html`,
        // index页面最终打包在dist目录下输出文件名
        filename: `${name}.html`,
        // 当使用 title 选项时，template 中的 title 标签需要是 <title><%= htmlWebpackPlugin.options.title %></title>
        title,
    }
}

let mpaFactory = (arr, mpaItemFactory) => {
    let obj = Object.create(null)
    arr.forEach(item => {
        obj[item.name] = mpaItemFactory(item)
    })
    return obj
}

module.exports = {
    mpaFactory,
    mpaItemFactory
}
